php支持oci扩展

版权声明:本文由版主林子懿亲自编写,请勿转载!php讨论群-511807472 https://blog.csdn.net/ldTrueLove/article/details/53080928
一、首先查看系统环境位数和线程 是否安全

这些都与自己安装扩展带来一些条件
二、去官网下载扩展包
搜索oci8
选择符合自己系统的

将包中的文件解压出来,放在php环境的扩展中。也就是ext文件下,覆盖原来的文件
三、开启php的配置文件中oci8的扩展
extension=php_oci8_12c.dll
四、下载oracle install client
自己选择环境版本,切记位数(与自己windows位数一致)
将自己下载的instant client,放到自己软件目录,然后安装,然后设置环境变量,重启电脑使得环境变量生效

连接oracle,查看是否成功
问题:
无法定位程序输入点 于动态链接库
使用低版本的oci扩展php_oci8_11g.dll
展开阅读全文

没有更多推荐了,返回首页